# getResource | windmill-client
Documentation for windmill-client

# Function getResource

- getResource(path?, undefinedIfEmpty?): Promise<any>

- Get a resource value by path

  #### Parameters

  - `Optional` path: string

    path of the resource, default to internal state path

  - `Optional` undefinedIfEmpty: boolean

    if the resource does not exist, return undefined instead of throwing an error

  #### Returns Promise<any>

  resource value

  - Defined in src/client.ts:74